import 'package:flutter/material.dart';

class WechatTeachetItem extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(top: 8, bottom: 8),
      child: Row(
        children: <Widget>[
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Text(
                  '微信公众号 智莺生活公众号',
                  style: TextStyle(
                    fontSize: 14,
                    color: Color(0xff3c3c3c),
                    fontWeight: FontWeight.bold,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 8),
                  child: Text(
                    '微信号:5645434',
                    style: TextStyle(
                        fontSize: 13,
                        color: Color(0xffff5050),
                        fontWeight: FontWeight.bold),
                  ),
                ),
                UnconstrainedBox(
                  child: Container(
                    decoration: BoxDecoration(
                      color: Color(0xffffdada),
                      borderRadius: BorderRadius.circular(20),
                    ),
                    padding:
                        EdgeInsets.only(left: 9, right: 9, top: 4, bottom: 4),
                    child: Text(
                      '长按保存二维码',
                      style: TextStyle(fontSize: 13, color: Color(0xffff0000)),
                    ),
                  ),
                ),
              ],
            ),
          ),
          Column(
            children: <Widget>[
              Container(
                margin: EdgeInsets.only(bottom: 4),
                width: 55,
                height: 55,
                color: Colors.redAccent,
              ),
              Text(
                '长按保存二维码',
                style: TextStyle(fontSize: 12, color: Color(0xff999999)),
              ),
            ],
          )
        ],
      ),
    );
  }
}
